/*******************************************************************************
*	FUNCTION:		Auto_4()
*	PURPOSE:		Race only
//      AndyMark encoders
//      Forward 180": E1=2386, E2=2374
//      Reverse 180": E1=-2336, E2=-2324 (184"=Forward counts of 2386/2374)
*******************************************************************************/
#include "stdio.h"
#include "autonomous.h"
#include "teleop.h"

void Auto_4()
{
  static char state=0;
  static char done=START;
  static int heading, distance;
  static int counter=0;

  switch(state)
  {
    case 0:
        printf("Auto_4 -- Race Only\r\n");
        done=START;
        state = 1;
	    break;

    case 1: // Drive forward across 1st line
        if (fieldPosition == FIELDLEFT)
            distance = 476;   //was 476 (238=half field)
        else if (fieldPosition == FIELDCENTER)
            distance = 480;   //238=half field
        else if (fieldPosition == FIELDRIGHT)
            distance = 476-RIGHTPOSITION; // 238" drives just under the rack

        Drive_Forward(distance, &done);
        if (done == COMPLETED)
        {
            done=START;
            state = 2;
            printf("Drive Forward\r\n");
        }
	    break;

    case 2: // Turn at the end of the field
        heading = -420; // was -350,  -400 not enough -500 too much 
        // -60 = 20deg, -150=-45 deg, -300=-85, -400=-120
        Gyro_Turn(heading, &done);
        if (done == COMPLETED)
        {
            done=START;
            counter = 0;
            state = 3;
            printf("Turn left\r\n");
        }
        break;

    case 21: // Give it a second to come to a rest
        counter++;
        if (counter == 28) //was 38
        {
            counter = 0;
            done=START;
            state = 3;
            printf("Delay\r\n");
        }
        break;

    case 3:  // Drive across the 2nd line
        if (fieldPosition == FIELDLEFT)
            distance = 70;
        else if (fieldPosition == FIELDCENTER)
            distance = 86;
        else if (fieldPosition == FIELDRIGHT)
            distance = 180; //was 140
        Drive_Forward(distance, &done);
        if (done == COMPLETED)
        {
            done=START;
            state = 4;
            printf("Drive Forward\r\n");
        }
        break;

    case 4: // Turn into the wind
        heading = -1450; // was -1500, -700 works for Backwards
        // -60 = 20deg, -150=-45 deg, -300=-85, -400=-120
        Gyro_Turn(heading, &done);
        if (done == COMPLETED)
        {
            done=START;
            counter = 0;
            state = 5;
            printf("Turn\r\n");
        }
        break;

    case 5:
        distance = 440; // was 476, 300 got us 6" past the third line
        Drive_Forward(distance, &done);
        if (done == COMPLETED)
        {
            done=START;
            state = 6;
            printf("Drive Forward\r\n");
        }
	    break;

    case 6:
        heading = -1900 + -600; // was -400, -330, gets us about -1800
                // -180 was about 45 degrees
        // -60 = 20deg, -150=-45 deg, -300=-85, -400=-120
        Gyro_Turn(heading, &done);
        if (done == COMPLETED)
        {
            done=START;
            counter = 0;
            state = 7;
            printf("Turn\r\n");
        }
        break;

    case 7:
        distance = 156; // was 120, Heading across the 4th line
        Drive_Forward(distance, &done);
        if (done == COMPLETED)
        {
            done=START;
            state = 99;
            printf("Drive Forward\r\n");
        }
	    break;

    case 99:
        // Done
        break;
  }
}
