/*******************************************************************************
*	FUNCTION:		Auto_4a()
*	PURPOSE:		Race only
//      AndyMark encoders
//      Forward 180": E1=2386, E2=2374
//      Reverse 180": E1=-2336, E2=-2324 (184"=Forward counts of 2386/2374)
*******************************************************************************/
#include "stdio.h"
#include "autonomous.h"
#include "teleop.h"

void Auto_4a()
{
  static char state=0;
  static char done=START;
  static int heading, distance;
  static int counter=0;

  switch(state)
  {
    case 0:
        printf("Auto_4a -- Test Only\r\n");
        done=START;
        state = 1;
	    break;

    case 1: // Drive forward
        if (fieldPosition == FIELDLEFT)
            distance = 1000;   //238=half field
        else if (fieldPosition == FIELDCENTER)
            distance = 1000;
        else if (fieldPosition == FIELDRIGHT)
            distance = 1000-RIGHTPOSITION;

        Drive_Forward(distance, &done);
        if (done == COMPLETED)
        {
            done=START;
            state = 2;
            state = 99;
            printf("Drive Forward\r\n");
        }
	    break;

    case 2: // Turn at the end of the field
        if (done == COMPLETED)
        {
            done=START;
            counter = 0;
            state = 3;
            printf("Turn left\r\n");
        }
        break;

    case 3:  // Drive across the next line
        if (fieldPosition == FIELDLEFT)
            distance = 96;
        else if (fieldPosition == FIELDCENTER)
            distance = 120;
        else if (fieldPosition == FIELDRIGHT)
            distance = 144;
        Drive_Forward(distance, &done);
        if (done == COMPLETED)
        {
            done=START;
            state = 4;
            printf("Drive Forward\r\n");
        }
        break;

    case 4:
        if (done == COMPLETED)
        {
            done=START;
            counter = 0;
            state = 99;
            printf("Turn\r\n");
        }
        break;

    case 5:
        Drive_Backward2();
        counter++;
        if (counter == 76)
        {
            done=START;
            counter = 0;
            state = 99;
            printf("Drive Backward\r\n");
        }
        break;

    case 99:
        // Done
        break;
  }
}
