/*******************************************************************************
*	FUNCTION:		Auto_8()
*	PURPOSE:		Go for one of the near balls or race
*                   Decide what to do based on the IR command selected
*                   Wait for IR commands before taking off
*                   This modifies AutoMode to the selected autonomous
*   NOTE: This is the default if the AutoMode input is disconnected.
*******************************************************************************/
#include "stdio.h"
#include "autonomous.h"
#include "teleop.h"

#define IR_WAIT_1 76

void Auto_8()
{
    static char state=0;
    static int counter=0;


  switch(state)
  {
    case 0:
        //Delay for IR command to be received
        counter++;
        if ((IR_cmd_tail) > 0 || (counter > IR_WAIT_1))
        {
            counter = 0;
            state = 1;
        }
	    break;

    case 1:
        // Redirect to the chosen IR 
        Redirect_Automode(NEARSIDE);
        //state = 2; // We won't actually come back here
	    break;

    case 2:
        state = 3;
        break;

    case 3:
        state = 4;
        break;

    case 4:
        //Done
        break;
  }
}
