/*******************************************************************************
*	FUNCTION:		Auto_9()
*	PURPOSE:		Go for one of the balls or just race around
*                   Decide what to do based on the IR command selected
*                   Wait for IR commands before taking off
*                   This modifies AutoMode to the selected autonomous
*******************************************************************************/
#include "stdio.h"
#include "autonomous.h"
#include "teleop.h"

#define IR_WAIT_1 190
// was 285 (7.5 sec) 190 is 5 sec
 
void Auto_9()
{
    static char state=0;
    static int counter=0;


  switch(state)
  {
    case 0:
        //Delay for IR command to be received
        counter++;
        if ((IR_cmd_tail) > 0 || (counter > IR_WAIT_1))
        {
            counter = 0;
            state = 1;
        }
	    break;

    case 1:
        // Redirect to the chosen IR 
        Redirect_Automode(NEARSIDE);  // or FARSIDE
        //state = 2; // We won't actually come back here
	    break;

    case 2:
        state = 3;
        break;

    case 3:
        state = 4;
        break;

    case 4:
        //Done
        break;
  }
}
