/*******************************************************************************
*
*	TITLE:		autonomous.h 
*
*	VERSION:	0.1 (Beta)                           
*
*	DATE:		31-Dec-2007
*
*	AUTHOR:		R. Kevin Watson
*				kevinw@jpl.nasa.gov
*
*	COMMENTS:	This file best viewed with tabs set to four.
*
*				You are free to use this source code for any non-commercial
*				use. Please do not make copies of this source code, modified
*				or un-modified, publicly available on the internet or elsewhere
*				without permission. Thanks.
*
*				Copyright 2007-2008 R. Kevin Watson. All rights are reserved.
*
********************************************************************************
*
*	Change log:
*
*	DATE         REV  DESCRIPTION
*	-----------  ---  ----------------------------------------------------------
*	31-Dec-2007  0.1  RKW Original
*
*******************************************************************************/
#ifndef _autonomous_h
#define _autonomous_h

#define DEFAULT_AUTO 4
#define NEARSIDE 1
#define FARSIDE  2
#define TO_THE_LEFT 1
#define TO_THE_RIGHT 2
#define FIELDLEFT   1
#define FIELDCENTER 2
#define FIELDRIGHT  3

#define RIGHTPOSITION 33

extern unsigned char autoMode, fieldPosition;
extern char IR_cmd_index, IR_cmd_tail, IR_cmd_array[10];

// function prototypes
void Autonomous_Init(void);
void Autonomous(void);
void Autonomous_Spin(void);

void Auto_0(void);
void Auto_1(void);
void Auto_2(void);
void Auto_3(void);
void Auto_4(void);
void Auto_5(void);
void Auto_6(void);
void Auto_7(void);
void Auto_8(void);
void Auto_9(void);

void Auto_Ball_Straight(void);
void Auto_Ball_Straight_Knockoff(void);
void Auto_Ball_LR_1(char);
void Auto_Ball_LR_2(char);

void IR_Receive(char *);
void Gyro_Turn(int, char *);
void Drive_Forward(int, char *);
void Redirect_Automode(char);
void Drive_Backward(int, char *);
void Drive_Backward2(void);
void Drive_Forward2(void);
void Drive_Stop(void);

#endif
